Mapa
curl --request POST \
--url https://api.firecrawl.dev/v1/map \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"search": "<string>",
"ignoreSitemap": true,
"sitemapOnly": false,
"includeSubdomains": true,
"limit": 5000,
"timeout": 123,
"location": {
"country": "US",
"languages": [
"en-US"
]
}
}
'import requests
url = "https://api.firecrawl.dev/v1/map"
payload = {
"url": "<string>",
"search": "<string>",
"ignoreSitemap": True,
"sitemapOnly": False,
"includeSubdomains": True,
"limit": 5000,
"timeout": 123,
"location": {
"country": "US",
"languages": ["en-US"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
search: '<string>',
ignoreSitemap: true,
sitemapOnly: false,
includeSubdomains: true,
limit: 5000,
timeout: 123,
location: {country: 'US', languages: ['en-US']}
})
};
fetch('https://api.firecrawl.dev/v1/map', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"links": [
"<string>"
]
}{
"error": "Payment required to access this resource."
}{
"error": "Request rate limit exceeded. Please wait and try again later."
}{
"error": "An unexpected error occurred on the server."
}Nota: Ya está disponible una nueva versión v2 de esta API con funciones y rendimiento mejorados.
Autorizaciones
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Cuerpo
La URL base desde la que se iniciará el rastreo
Consulta de búsqueda que se utilizará para el mapeo. Durante la fase alfa, la parte «inteligente» de la funcionalidad de búsqueda está limitada a 500 resultados. Sin embargo, si map encuentra más resultados, no se impone ningún límite.
Ignorar el mapa del sitio web al rastrear.
Devuelve únicamente los enlaces encontrados en el mapa del sitio web
Incluir subdominios del sitio web
Número máximo de enlaces que se devolverán
x <= 30000Tiempo de espera en milisegundos. No hay tiempo de espera por defecto.
Configuración de ubicación de la solicitud. Si se especifica, usará un proxy adecuado si está disponible y emulará la configuración de idioma y zona horaria correspondientes. De forma predeterminada, se usa 'US' si no se especifica.
Show child attributes
Show child attributes
